//
//  UIButton+Extension.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/10.
//

import UIKit

extension UIButton {
    
    override func setCutomFonts() {
        if cutomFont >= 0 {
            switch cutomFont {
            case 0:
                self.titleLabel?.font = UIFont.montserrat(.regular ,size: fontSize)
                break
            case 1:
                self.titleLabel?.font = UIFont.montserrat(.medium ,size: fontSize)
                break
            case 2:
                self.titleLabel?.font = UIFont.montserrat(.semiBold ,size: fontSize)
                break
            default:
                self.titleLabel?.font = UIFont.montserrat(.bold ,size: fontSize)
                break
            }
        }
    }
    
}
